Create media resource
curl --request POST \
--url https://api.amply-app.com/v1/users/{userId}/medias \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"data": "string",
"path": "string",
"url": "https://example.com"
}
'import requests
url = "https://api.amply-app.com/v1/users/{userId}/medias"
payload = {
"data": "string",
"path": "string",
"url": "https://example.com"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: 'string', path: 'string', url: 'https://example.com'})
};
fetch('https://api.amply-app.com/v1/users/{userId}/medias', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "64b7f8b6f23a4a4f3d0a9b12",
"_userId": "string",
"mediaUrl": "string",
"external": true,
"_createdAt": "2024-01-01T00:00:00.000Z",
"externalUrl": "string",
"_updatedAt": "2024-01-01T00:00:00.000Z",
"_reference": "string"
}media resource
Create media resource
POST
/
v1
/
users
/
{userId}
/
medias
Create media resource
Authorizations
Use the format X-API-KEY YOUR_API_KEY. Each key is tied to a single broadcast.
Path Parameters
Resource identifier.
Body
application/json
Response
201 - application/json
Success
Example:
"64b7f8b6f23a4a4f3d0a9b12"
Example:
"string"
Example:
"string"
Example:
true
Example:
"2024-01-01T00:00:00.000Z"
Example:
"string"
Example:
"2024-01-01T00:00:00.000Z"
Example:
"string"
Was this page helpful?
⌘I